An efficient Java™ solver implementation for SBML

Frequently Asked Questions (FAQ)

Which Java™ version must be installed on my computer to launch SBMLsimulator?

SBMLsimulator requires at least Java™ 1.6. Click here to download of the latest Java™ version.

Why does SBMLsimulator not start on my Mac with Mac OS prior to 10.6 Update 3?

If you try to launch SBMLsimulator, but the application does not start and you receive the following error message on the command-line or Java console of your Mac, you need to update your Java™ installation:
Exception in thread "AWT-EventQueue-0" java.lang.NoClassDefFoundError: com/apple/eawt/AboutHandler
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(
The interface was introduced to Java for Mac OS X 10.6 Update 3. If you have an earlier version of Mac OS or Java, please update your OS or Java™ installation. Also see the Mac OS documentation about the AboutHandler for more information. On a Mac you can update your Java™ installation through the Software Update menu item in the main Apple menu.